Bug 54440 - Kernel 2.4.2-12 crashed
Summary: Kernel 2.4.2-12 crashed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i586
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-08 15:04 UTC by Heikki Simperi
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 18:30:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Heikki Simperi 2001-10-08 15:04:10 UTC
Description of problem:
Bug in kernel in dcache.c file

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Nothing specially
2.Kernel crashed

	
Actual Results:
---------------
From messages:

Oct  6 04:04:25 xxx kernel: kernel BUG at dcache.c:356!
Oct  6 04:04:25 xxx kernel: invalid operand: 0000
Oct  6 04:04:25 xxx kernel: CPU:    0
Oct  6 04:04:26 xxx kernel: EIP:    0010:[prune_dcache+129/352]
Oct  6 04:04:26 xxx kernel: EIP:    0010:[<c0145c61>]
Oct  6 04:04:26 xxx kernel: EFLAGS: 00010282
Oct  6 04:04:26 xxx kernel: eax: 0000001c   ebx: c4935390   ecx: \
ffffffff   edx: 00000000
Oct  6 04:04:26 xxx kernel: esi: c4935370   edi: c1893e6c   ebp: \
00000c91   esp: dffeff68
Oct  6 04:04:26 xxx kernel: ds: 0018   es: 0018   ss: 0018
Oct  6 04:04:26 xxx kernel: Process kswapd (pid: 4, stackpage=dffef000)
Oct  6 04:04:26 xxx kernel: Stack: c02128db c021297b 00000164 c15e8dac \
c012c80a c15e8dac 00000194 dffee000 
Oct  6 04:04:26 xxx kernel:        00000010 00000194 c012ca13 00010f00 \
00000004 00000067 00000004 c0145ffd 
Oct  6 04:04:26 xxx kernel:        00001c98 c012caae 00000004 00000004 \
00010f00 c025c4e0 00000004 0008e000 
Oct  6 04:04:26 xxx kernel: Call Trace: [error_table+42755/46744] \
[error_table+42915/46744] [refill_inactive_scan+138/240] \
[refill_inactive+115/176] [shrink_dcache_memory+45/80] \
[do_try_to_free_pages+94/128] [kswapd+123/288] 
Oct  6 04:04:26 xxx kernel: Call Trace: [<c02128db>] [<c021297b>] \
[<c012c80a>] [<c012ca13>] [<c0145ffd>] [<c012caae>] [<c012cb4b>] 
Oct  6 04:04:26 xxx kernel:        [empty_bad_page+0/4096] \
[empty_bad_page+0/4096] [kernel_thread+38/48] [kswapd+0/288] 
Oct  6 04:04:26 xxx kernel:        [<c0105000>] [<c0105000>] [<c0107596>] \
[<c012cad0>] 
Oct  6 04:04:26 xxx kernel: 
Oct  6 04:04:26 xxx kernel: Code: 0f 0b 83 c4 0c 8d 56 18 8b 4a 04 8b 46 \
18 89 48 04 89 01 89 
Oct  6 04:04:29 xxx kernel: kernel BUG at exit.c:465!
Oct  6 04:04:29 xxx kernel: invalid operand: 0000
Oct  6 04:04:29 xxx kernel: CPU:    0
Oct  6 04:04:29 xxx kernel: EIP:    0010:[do_exit+541/560]
Oct  6 04:04:29 xxx kernel: EIP:    0010:[<c0118a3d>]
Oct  6 04:04:29 xxx kernel: EFLAGS: 00010282
Oct  6 04:04:29 xxx kernel: eax: 0000001a   ebx: 00000000   ecx: \
fffffffe   edx: 00000000
Oct  6 04:04:29 xxx kernel: esi: dffee000   edi: 0000000b   ebp: 
00000c91   esp: dffefe48


Additional info:
----------------
Kernelversion was 2.4.2-2, but now it is 2.4.3-12. Updating via ssh 
terminal is not so nice, but It work and I am happy.

Comment 1 Arjan van de Ven 2001-10-08 15:08:02 UTC
2.4.2-12: do you mean 2.4.2-2 or 2.4.3-12 ?

Comment 2 Heikki Simperi 2001-10-08 16:20:42 UTC
I mean 2.4.2-2


Note You need to log in before you can comment on or make changes to this bug.